OI Payments Docs
API ReferenceAdmin Gateway Callbacks

Search_4

GET
/api/v1/admin/gateway-callbacks

Query Parameters

page?integer
size?integer
sortBy?string
order?string
paginate?boolean
mode?string
outcome?string
reference?string
matchedPaymentId?integer
gateway?string
signatureValid?boolean

Response Body

*/*

curl -X GET "https://example.com/api/v1/admin/gateway-callbacks"
{
  "data": [
    {
      "id": 0,
      "gateway": "string",
      "mode": "string",
      "reference": "string",
      "matchedPaymentId": 0,
      "signatureValid": true,
      "outcome": "string",
      "note": "string",
      "rawPayload": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}